Delete configuration
curl --request DELETE \
--url https://api.orbital-systems.com/client/showers/{id}/configuration \
--header 'x-api-key: <api-key>'import requests
url = "https://api.orbital-systems.com/client/showers/{id}/configuration"
headers = {"x-api-key": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.orbital-systems.com/client/showers/{id}/configuration', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"boost_flow_enabled": true,
"cleaning_program_liters_limit": 123,
"cleaning_program_session_limit": 123,
"cleaning_program_sessions_limit_enabled": true,
"color_mode": 123,
"daily_hot_water_treatment_enabled": true,
"daily_hot_water_treatment_time": "<string>",
"default_recirculation_mode": 123,
"default_shower_flow": 123,
"heater_power_available": 123,
"hot_water_treatment_per_session_enabled": true,
"is_private_shower": true,
"is_wall_clock_12_hour_format": true,
"is_wall_clock_enabled": true,
"live_data_rate": 123,
"max_shower_water_flow": 123,
"min_conservation_flow": 123,
"min_shower_water_flow": 123,
"shower_head_hc_enabled": true,
"shower_water_temperature_fahrenheit": true,
"shower_water_temperature_max": 123,
"shower_water_temperature_min": 123,
"shower_water_temperature_start": 123,
"state_active_showering_timer": 123,
"state_standby_no_user_wait_timer": 123,
"state_standby_wait_timer": 123,
"time_zone_name": "<string>",
"time_zone": "<string>",
"use_estimation_for_drain_temperature": true,
"water_conservation": true,
"welcome_message_enabled": true,
"welcome_message": "<string>",
"water_hardness": 15.5
}{}{}{}Shower configuration.
Delete configuration
DELETE
/
client
/
showers
/
{id}
/
configuration
Delete configuration
Authorizations
Path Parameters
The unique identifier for the shower
Response
Shower configuration deleted successfully
Required range:
1 <= x <= 30